%define	oname FreeFileSync
%define sname RealTimeSync

Summary:	A free file sync tool
Name:		freefilesync
Version:	8.2
Release:	%mkrel 1
Group:		File tools
License:	GPLv3
URL:		http://sourceforge.net/projects/freefilesync/
Source0:	FreeFileSync_%{version}_Debian_8.4_64-bit.tar.xz
Source1:        source.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -qn %{oname}

%build
#nobuild

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}
cp {%oname,%sname} %{buildroot}/%{_bindir}
install -dm 755 %{buildroot}/%{_datadir}/%{oname}
cp -r {Help,Languages,LICENSE,*.wav,*.zip} %{buildroot}/%{_datadir}/%{oname}

# menu-icons
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
unxz -c %{SOURCE1} | tar xf - -C %{buildroot}/%{_datadir}/pixmaps


# menu-entry1
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=FreeFileSync
Comment=Folder comparison and synchronization tool.
Exec=%{oname}
Icon=%{name}
Categories=GTK;System;X-MandrivaLinux-System-FileTools;
EOF

# menu-entry2
cat > %{buildroot}%{_datadir}/applications/realtimesync.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=RealTimeSync
Comment=Automated synchronization tool.
Exec=%{sname}
Icon=realtimesync
Categories=GTK;System;X-MandrivaLinux-System-FileTools;
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/%{oname}
%{_bindir}/%{sname}
%{_datadir}/%{oname}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/realtimesync.desktop


%changelog
* Tue May 31 2016 bb <bb> 8.2-1pclos2016
- update

* Thu Oct 31 2013 Ken <lxgator at gmail.com> 5.10-1pclos2013
- 5.10

* Wed Oct 03 2012 Ken <lxgator at gmail.com> 4.1-1pclos2012
- initial build

